unit Uf45_t3;
{Botones de función del fluke 45}
interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons,Unitgen, ExtCtrls, SensMap, MPlayer;

type
  TFormFluke45BFunc = class(TForm)
    SensitiveMap1: TSensitiveMap;
    Panel1: TPanel;
    GroupBox1: TGroupBox;
    LabelMando: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    GroupBox2: TGroupBox;
    Memo1: TMemo;
    Panel2: TPanel;
    BitBtn2: TBitBtn;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    GroupBox3: TGroupBox;
    Memo2: TMemo;
    procedure BitBtn1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure SensitiveMap1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormFluke45BFunc: TFormFluke45BFunc;

implementation

{$R *.DFM}

procedure TFormFluke45BFunc.BitBtn1Click(Sender: TObject);
begin
temaabierto:=temaabierto - [3];
release;
end;

procedure TFormFluke45BFunc.FormCreate(Sender: TObject);
begin
Screen.cursors[CR]:=cur;
SensitiveMap1.Cursor_alt:=CR;
SensitiveMap1.Situar_Cuadro(14,8,53,38,'Voltaje contínuo',Label1); {Botón V-}
SensitiveMap1.Situar_Cuadro(70,8,108,38,'Corriente contínua',Label2);{Botón A-}
SensitiveMap1.Situar_Cuadro(127,8,163,38,'Resistencia',Label3);{Botón ohmios}
SensitiveMap1.Situar_Cuadro(181,8,219,38,'Test de diodos/continuidad',Label4);{Botón Diodos}
SensitiveMap1.Situar_Cuadro(14,53,53,83,'Voltaje alterno',Label5);{Botón V~}
SensitiveMap1.Situar_Cuadro(70,53,108,83,'Corriente alterna',Label6);{Botón A~}
SensitiveMap1.Situar_Cuadro(127,53,163,83,'Frecuencia',Label7);{Botón FREQ}

{SensitiveMap1.Situar_Cuadro();}
end;

procedure TFormFluke45BFunc.SensitiveMap1Click(Sender: TObject);
var
   cuad,i:integer;
   qz:string;
begin
     memo1.clear;
     memo2.clear;
     labelmando.caption:='';
     cuad:=SensitiveMap1.Cuadro_activo;
     qz:=SensitiveMap1.Quezona(cuad);
     if (qz=' Voltaje contínuo ') then
     begin
        Labelmando.caption:={strpas(strupper(}'Botón V-';
        Memo1.lines.Add('Permite medir voltajes en corriente contínua.');
        Memo2.lines.Add('1.- Pulsar el botón V-.');
        Memo2.lines.Add('2.- Conectar las clavijas de medida al terminal común y ');
        Memo2.lines.Add('    al terminal de voltios, ohmios, test de diodos.');
        Memo2.lines.Add('    En el display primario aparece el voltaje medido.');
        Memo2.lines.Add('');
        Memo2.lines.Add('Pulsando a la vez el botón V- y el botón V~, se lee el ');
        Memo2.lines.Add('voltaje alterno, sumándole su componente de contínua.');
        Memo2.lines.Add('');
        Memo2.lines.Add('Pulsando el botón V- después de pulsar 2ND, la lectura se');
        Memo2.lines.Add('realiza en el display secundario.');
     end;
     if (qz=' Corriente contínua ') then
     begin
        Labelmando.caption:={strpas(strupper(}'Botón A-';
        Memo1.lines.Add('Permite medir corrientes contínuas.');
        Memo2.lines.Add('1.- Conectar las clavijas de medida al terminal común y: ');
        Memo2.lines.Add('    -al terminal de entrada de miliamperios, si la corriente');
        Memo2.lines.Add('     a medir es de menos de 100mA.');
        Memo2.lines.Add('    -al terminal de entrada de amperios, si la corriente a');
        Memo2.lines.Add('     medir es de más de 100 mA.');
        Memo2.lines.Add('2.- Pulsar el botón A-.');
        Memo2.lines.Add('    En el display primario aparece la corriente medida.');
        Memo2.lines.Add('');
        Memo2.lines.Add('Pulsando a la vez el botón A- y el botón A~, se lee la ');
        Memo2.lines.Add('corriente alterna, sumándole su componente de contínua.');
        Memo2.lines.Add('');
        Memo2.lines.Add('Pulsando el botón A- después de pulsar 2ND, la lectura se');
        Memo2.lines.Add('realiza en el display secundario.');
     end;
     if (qz=' Resistencia ') then
     begin
        Labelmando.caption:={strpas(strupper(}'Botón Resistencia';
        Memo1.lines.Add('Permite medir resistencias.');
        Memo2.lines.Add('1.- Pulsar el botón "ohmios".');
        Memo2.lines.Add('2.- Conectar las clavijas de medida al terminal común y al ');
        Memo2.lines.Add('    terminal de voltios, ohmios, test de diodos.');
        Memo2.lines.Add('    En el display primario aparece la corriente medida.');
        Memo2.lines.Add('');
        Memo2.lines.Add('Pulsando el botón "ohmios" después de pulsar 2ND, la lectura se');
        Memo2.lines.Add('realiza en el display secundario.');
     end;
     if (qz=' Test de diodos/continuidad ') then
     begin
        Labelmando.caption:={strpas(strupper(}'Botón Diodos';
        Memo1.lines.Add( 'Permite realizar tests de continuidad (ver si un circuito está '+
                         'intacto, e.d. tiene una resistencia de menos de 30 ohmios), y '+
                         'test de diodos (medir su voltaje directo).');
        Memo2.lines.Add('PARA REALIZAR TEST DE CONTINUIDAD:');
        Memo2.lines.Add(' 1.- Pulsar el botón Diodos.');
        Memo2.lines.Add(' 2.- Conectar un borne de medida al terminal común, y otro al ');
        Memo2.lines.Add('     terminal de voltios, ohmios, test de diodos.');
        Memo2.lines.Add(' El multímetro emitirá un solo pitido cuando la entrada baje de');
        Memo2.lines.Add(' +0,8V (aprox. 1 kilo ohmio), y un pitido continuo cuando baje');
        Memo2.lines.Add(' de +25 mV (aprox. 30 ohmios).');
        Memo2.lines.Add('----------------------------------------------------------------------------');
        Memo2.lines.Add('PARA REALIZAR TEST DE DIODOS:');
        Memo2.lines.Add(' 1.- Pulsar el botón Diodos.');
        Memo2.lines.Add('     (Cada pulsación de este botón activa o desactiva el pitido');
        Memo2.lines.Add('     de continuidad).');
        Memo2.lines.Add(' 2.- Conectar un borne de medida del terminal común a la  parte ');
        Memo2.lines.Add('     baja de potencial del diodo, y otro del terminal de voltios,');
        Memo2.lines.Add('     ohmios, test de diodos a la parte alta de potencial del diodo.');
        Memo2.lines.Add(' Así se medirá el potencial directo del diodo.');
     end;
     if (qz=' Voltaje alterno ') then
     begin
        Labelmando.caption:={strpas(strupper(}'Botón V~';
        Memo1.lines.Add('Permite medir voltajes en corriente alterna.');
        Memo2.lines.Add('1.- Pulsar el botón V~.');
        Memo2.lines.Add('2.- Conectar las clavijas de medida al terminal común y ');
        Memo2.lines.Add('    al terminal de voltios, ohmios, test de diodos.');
        Memo2.lines.Add('    En el display primario aparece el voltaje medido.');
        Memo2.lines.Add('');
        Memo2.lines.Add('Pulsando a la vez el botón V- y el botón V~, se lee el ');
        Memo2.lines.Add('voltaje alterno, sumándole su componente de contínua.');
        Memo2.lines.Add('');
        Memo2.lines.Add('Pulsando el botón V~ después de pulsar 2ND, la lectura se');
        Memo2.lines.Add('realiza en el display secundario.');
     end;
     if (qz=' Corriente alterna ') then
     begin
        Labelmando.caption:={strpas(strupper(}'Botón A~';
        Memo1.lines.Add('Permite medir corrientes alternas.');
        Memo2.lines.Add('1.- Conectar las clavijas de medida al terminal común y ');
        Memo2.lines.Add('    al terminal de entrada de amperios.');
        Memo2.lines.Add('2.- Pulsar el botón A~.');
        Memo2.lines.Add('    En el display primario aparece la corriente medida.');
        Memo2.lines.Add('');
        Memo2.lines.Add('Pulsando a la vez el botón A- y el botón A~, se lee la ');
        Memo2.lines.Add('corriente alterna, sumándole su componente de contínua.');
        Memo2.lines.Add('');
        Memo2.lines.Add('Pulsando el botón A~ después de pulsar 2ND, la lectura se');
        Memo2.lines.Add('realiza en el display secundario.');
     end;
     if (qz=' Frecuencia ') then
     begin
        Labelmando.caption:={strpas(strupper(}'Botón FREQ';
        Memo1.lines.Add('Permite medir frecuencias directamente, o la frecuencia de'+
                        'una determinada función de entrada.');
        Memo2.lines.Add('PARA MEDIR FRECUENCIAS EN EL DISPLAY PRIMARIO:');
        Memo2.lines.Add(' 1.- Pulsar el botón FREQ.');
        Memo2.lines.Add(' 2.- Conectar un borne de medida al terminal común, y otro ');
        Memo2.lines.Add('     al de voltios, ohmios, test de diodos.');
        Memo2.lines.Add(' Para las frecuencias entre 5Hz y 1MHz, se elige el rango ');
        Memo2.lines.Add(' automáticamente, para las demás, se debe determinar con los');
        Memo2.lines.Add(' botones de rango.');
        Memo2.lines.Add('----------------------------------------------------------------------------');
        Memo2.lines.Add('PARA MEDIR LA FRECUENCIA DE UNA FUNCIÓN DE ENTRADA:');
        Memo2.lines.Add(' 1.- Elegir como funciones de entrada V~ o A~ (voltaje o ');
        Memo2.lines.Add('     corriente alterna) en el display primario.');
        Memo2.lines.Add(' 2.- Seleccionar el rango de esas funciones, con los botones de');
        Memo2.lines.Add('     rango.');
        Memo2.lines.Add(' 3.- Pulsar 2ND y después FREQ para medir la frecuencia en el ');
        Memo2.lines.Add('     display secundario.');
        Memo2.lines.Add('     Las medidas de frecuencia en el display secundario se toman');
        Memo2.lines.Add('     en el rango seleccionado para la señal alterna.');
     end;
     if (qz='  ') then
     begin
        Labelmando.caption:={strpas(strupper(}'';
        Memo1.lines.Add('');
        Memo1.lines.Add('');
        Memo2.lines.Add('');
        Memo2.lines.Add('');
        Memo2.lines.Add('');
        Memo2.lines.Add('');
        Memo2.lines.Add('');
        Memo2.lines.Add('');
     end;

end;

end.
